summaryrefslogtreecommitdiffstats
path: root/misc/ibus-pinyin
diff options
context:
space:
mode:
Diffstat (limited to 'misc/ibus-pinyin')
-rw-r--r--misc/ibus-pinyin/README3
-rw-r--r--misc/ibus-pinyin/ibus-pinyin.SlackBuild85
-rw-r--r--misc/ibus-pinyin/ibus-pinyin.info12
-rw-r--r--misc/ibus-pinyin/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/misc/ibus-pinyin/README b/misc/ibus-pinyin/README
new file mode 100644
index 0000000000..22dd049282
--- /dev/null
+++ b/misc/ibus-pinyin/README
@@ -0,0 +1,3 @@
+ibus-pinyin is a Chinese input engine for ibus input framework.
+
+If you don't want to build open-phrase, set USE_OPEN_PHRASE=no.
diff --git a/misc/ibus-pinyin/ibus-pinyin.SlackBuild b/misc/ibus-pinyin/ibus-pinyin.SlackBuild
new file mode 100644
index 0000000000..2e53a9e0c7
--- /dev/null
+++ b/misc/ibus-pinyin/ibus-pinyin.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for ibus-pinyin
+
+# Written by Grissiom <chaos.proton@gmail.com>
+
+PRGNAM=ibus-pinyin
+VERSION=${VERSION:-1.2.99.20100202}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+USE_OPEN_PHRASE=${USE_OPEN_PHRASE:-yes}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+# What's the harm in just including this regardless? --rworkman
+if [ "$USE_OPEN_PHRASE" = 'yes' ]; then
+ cp $CWD/pinyin-database-1.2.99.tar.bz2 $TMP/$PRGNAM-$VERSION/data/db/open-phrase
+ EXTRA_PARAM='--enable-db-open-phrase'
+fi
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ $EXTRA_PARAM
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/ibus-pinyin/ibus-pinyin.info b/misc/ibus-pinyin/ibus-pinyin.info
new file mode 100644
index 0000000000..d9f5d68cb6
--- /dev/null
+++ b/misc/ibus-pinyin/ibus-pinyin.info
@@ -0,0 +1,12 @@
+PRGNAM="ibus-pinyin"
+VERSION="1.2.99.20100202"
+HOMEPAGE="http://code.google.com/p/ibus/"
+DOWNLOAD="http://ibus.googlecode.com/files/ibus-pinyin-1.2.99.20100202.tar.gz \
+ http://ibus.googlecode.com/files/pinyin-database-1.2.99.tar.bz2"
+MD5SUM="84c760a2e555816753bd4507728906ef \
+ d0951b8daa7f56a2cbd3b6b4e42532e0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Grissiom"
+EMAIL="chaos.proton@gmail.com"
+APPROVED="dsomero"
diff --git a/misc/ibus-pinyin/slack-desc b/misc/ibus-pinyin/slack-desc
new file mode 100644
index 0000000000..e6cb0ade5c
--- /dev/null
+++ b/misc/ibus-pinyin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ibus-pinyin: ibus-pinyin (pinyin engine for ibus input framework)
+ibus-pinyin:
+ibus-pinyin: ibus-pinyin is a Chinese input engine for ibus input framework.
+ibus-pinyin:
+ibus-pinyin:
+ibus-pinyin:
+ibus-pinyin:
+ibus-pinyin:
+ibus-pinyin:
+ibus-pinyin:
+ibus-pinyin: